Subject: Re: [PATCH 11/18] gitweb: add isDumbClient() check

From: Jakub Narebski <[email-masked]>
Date: Sat, 11 Dec 2010 01:15:15 +0100

Junio C Hamano wrote:
> "J.H." <[email-masked]> writes:
> 
> > My initial look indicated that perl-http-browserdetect wasn't available
> > for RHEL / CentOS 5 - it is however available in EPEL.
> >
> > However there are a couple of things to note about User Agents at all:
> > 	- They lie... a lot
> > 	- Robots lie even more
> >
> > Blacklisting is still the better option, by a lot.  I'll re-work this
> > some in v9, as I'm fine with the added dependency.
> 
> Thanks, both.  I sense that we finally are going to get a single version
> of gitweb that can be used at larger sites ;-)

I wouldn't be so optimistic.  While we borrow features and ideas from
each other, the difference still remains that J.H. patches are bit hacky
but are tested, while my rewrite is IMHO cleaner but untested (well, 
untested on real life load).

Anyway the main issue that was discovered by PATCHv6 by me, and v8 by J.H.
is that die_error sucks... well, at least if background caching is enabled.

Anyway, J.H. plans v9, I plan shortened rewrite.
-- 
Jakub Narebski
Poland